# services/jenkins/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: jenkins
resources:
  - namespace.yaml
  - serviceaccount.yaml
  - vault-serviceaccount.yaml
  - pvc.yaml
  - cache-pvc.yaml
  - dind-pvc.yaml
  - plugins-pvc.yaml
  - configmap-jcasc.yaml
  - configmap-plugins.yaml
  - secretproviderclass.yaml
  - vault-sync-deployment.yaml
  - deployment.yaml
  - service.yaml
  - ingress.yaml

configMapGenerator:
  - name: jenkins-init-scripts
    namespace: jenkins
    files:
      - ariadne-api-user.groovy=scripts/ariadne-api-user.groovy
      - git-notify-token.groovy=scripts/git-notify-token.groovy
      - theme.groovy=scripts/theme.groovy
    options:
      disableNameSuffixHash: true
